
/*----------------- POPUP OFERTAS ----------------------------*/

/*------------------------------------------ Global - Padding */

.popup-message-supreme.padding {
    padding: 24px;
}

@media (min-width: 600px) {
    .popup-message-supreme.padding {
        padding: 40px;
    }
}

@media (min-width: 800px) {
    .popup-message-supreme.padding {
        padding: 56px;
    }
}

@media (min-width: 1000px) {
    .popup-message-supreme.padding {
        padding: 70px;
    }
}

@media (min-width: 1200px) {
    .popup-message-supreme.padding {
        padding: 84px;
    }
}

@media (min-width: 1400px) {
    .popup-message-supreme.padding {
        padding: 96px;
    }
}

/*------------------------------------------ Colors */

.white-c {
    color: white;
}

.black-c,
body,
.menu-items .wrapper .content .item .left>* a {
    color: #333333;
}

.gray-25-c {
    color: #bfbfbf;
}

.gray-50-c {
    color: gray;
}

.gray-75-c {
    color: #404040;
}

.red-c,
.editor-content a {
    color: #dd423a;
}

.cream-c {
    color: #fff !important;
}


.white-bg {
    background-color: white;
}

.black-bg {
    background-color: white;
}

.gray-25-bg {
    background-color: #bfbfbf;
}

.gray-50-bg {
    background-color: gray;
}

.gray-75-bg {
    background-color: #404040;
}

.red-bg {
    background-color: #000;
}

.cream-bg,
body.page-template-template-menu {
    background-color: #f6caa9;
}


.white-f {
    fill: white;
}

.black-f {
    fill: #000;
}

.gray-25-f {
    fill: #bfbfbf;
}

.gray-50-f {
    fill: gray;
}

.gray-75-f {
    fill: #404040;
}

.red-f {
    fill: #dd423a;
}

.cream-f {
    fill: #fff;
}


.white-bc {
    border-color: white;
}

.black-bc {
    border-color: white;
}

.gray-25-bc {
    border-color: #bfbfbf;
}

.gray-50-bc {
    border-color: gray;
}

.gray-75-bc {
    border-color: #404040;
}

.red-bc {
    border-color: #ca4924;
}

.cream-bc {
    border-color: #f6caa9;
}

/*------------------------------------------ Bordes */

.border-2 {
    border-width: 2px;
    border-style: solid;
}


/*------------------------------------------ Animaciones genéricas */

.animated {
    transition-property: all;
    transition-timing-function: cubic-bezier(0.46, 0.03, 0.52, 0.96);
    transition-duration: 0.6s;
    opacity: 0;
}

.animated.del-400 {
    transition-delay: 0.6s;
}

/* cuando el body (o contenedor) tiene run-animation */
.run-animation .animated {
    opacity: 1;
}


/*------------------------------------------ Popup Message */

.popup-message-supreme img {
    vertical-align: middle;
    width: 100%;
    height: auto;
    display: block;
}

.popup-message-supreme {
    position: fixed;
    left: 0;
    bottom: 0;
    pointer-events: none;
    z-index: 1000;
    transition: all 0.4s linear;
}

.popup-message-supreme.close {
    opacity: 0;
}

.popup-message-supreme .wrapper {
    border-radius: 8px;
    width: 240px;
    pointer-events: all;
    display: flex;
    flex-direction: column;
    gap: 14px;
    position: relative;
    padding: 30px;
}

.popup-message-supreme.close .wrapper {
    pointer-events: none;
}

.popup-message-supreme .wrapper .button {
    border-radius: 4px;
    padding: 8px 12px 10px;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
}

.popup-message-supreme .wrapper .button:hover {
    color: #dd423a !important;
}

.popup-message-supreme .wrapper .closer {
    border-radius: 100px;
    width: 30px;
    height: 30px;
    position: absolute;
    top: -8px;
    right: -8px;
    cursor: pointer;
}

.popup-message-supreme .wrapper .closer .line {
    position: absolute;
    width: 14px;
    height: 2px;
    left: 6px;
    top: 12px;
}

.popup-message-supreme .wrapper .closer .line-1 {
    transform: rotate(45deg);
}

.popup-message-supreme .wrapper .closer .line-2 {
    transform: rotate(-45deg);
}

@media (min-width: 800px) {
    .popup-message-supreme .wrapper {
        width: 300px;
        gap: 24px;
        padding: 24px;
    }

    .popup-message-supreme .wrapper .title {
        margin-bottom: 8px;
    }
}